Bug 815026 - (CVE-2012-0477) CVE-2012-0477 Mozilla: Potential XSS through ISO-2022-KR/ISO-2022-CN decoding issues (MFSA 2012-29)
CVE-2012-0477 Mozilla: Potential XSS through ISO-2022-KR/ISO-2022-CN decoding...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120424,repor...
: Security
Depends On:
Blocks: 812268
  Show dependency treegraph
 
Reported: 2012-04-22 03:16 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 17:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-04-22 03:16:02 EDT
Security researcher Masato Kinugawa found that during the decoding of ISO-2022-KR and ISO-2022-CN character sets, characters near 1024 bytes are treated incorrectly, either doubling or deleting bytes. On certain pages it might be possible for an attacker to pad the output of the page such that these errors fall in the right place to affect the structure of the page, allowing for cross-site script (XSS) injection. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-29.html
Comment 1 Vincent Danen 2012-04-24 13:58:27 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.  Upstream acknowledges Masato Kinugawa as the original reporter.
Comment 2 errata-xmlrpc 2012-04-24 15:46:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0516 https://rhn.redhat.com/errata/RHSA-2012-0516.html
Comment 3 errata-xmlrpc 2012-04-24 15:58:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0515 https://rhn.redhat.com/errata/RHSA-2012-0515.html

Note You need to log in before you can comment on or make changes to this bug.